2

I have windows 10 on my laptop and I run Oracle VirtualBox with ubuntu 14.04.5 LTS 64 bit on it. I bought tp-link usb to wifi adapter - TL-WN821N v5.

I am try to connect the usb to the vm so it have wifi and wireless functionality in it. in vbox there is option to connect the usb direcly to the machine so the the windows 10 dont detect the usb.

lsusb detect the adapter:

Bus 001 Device 002: ID 2357:0107
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

but lshw -C network

 network
  *-network
       description: Ethernet interface
       product: 82540EM Gigabit Ethernet Controller
       vendor: Intel Corporation
       physical id: 3
       bus info: pci@0000:00:03.0
       logical name: eth0
       version: 02
       serial: 08:00:27:bc:0d:35
       size: 1Gbit/s
       capacity: 1Gbit/s
       width: 32 bits
       clock: 66MHz
       capabilities: pm pcix bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=e1000 driverversion=7.3.21-k8-NAPI duplex=full ip=10.0.0.13 latency=64 link=yes mingnt=255 multicast=yes port=twisted pair speed=1Gbit/s
       resources: irq:19 memory:f0000000-f001ffff ioport:d010(size=8)

and iwconfig

lo        no wireless extensions.

eth0      no wireless extensions.

wont seem to identify the new hardware:

I thought the problem is that need some driver - so I tried to install the driver: http://www.tp-link.com/en/download/TL-WN821N.html#Driver but make give me syntax errors (and i think there easier way)

I followed this link DLink DWA 131 wireless adapter not working on ubuntu 15.10 and when i run apt-get install rtl8192eu-dkms I get this:

Reading package lists... Done
Building dependency tree
Reading state information... Done
rtl8192eu-dkms is already the newest version.
The following packages were automatically installed and are no longer required:
  culmus linux-headers-3.13.0-32 linux-headers-3.13.0-32-generic
  linux-image-3.13.0-32-generic linux-image-extra-3.13.0-32-generic
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.

and it still dont work.

The laptop (and vm) connected to ethernet directly.

kernal version- 4.4.0-45-generic

thank you for help!

  • What exactly didn't work for you? Your first link explicitly mentions there are more than one version of the same model and that model has nothing to do with yours. The link about DLink is relevant if - and only if - yours have the same chipset. If so, use the second answer, not the most voted one. The option you used in Virtualbox is also wrong and the device needs to be correctly installed and working in the host system. – user589808 Oct 20 '16 at 20:15
  • The adapter is working on the host system just fine, and when i turn the ubuntu on, its 'eject' from the windows 10 (host) and connected to the vm. – jackarrow Oct 21 '16 at 9:35
  • soomeone pleas answer the question – Tessaracter Jul 31 '18 at 4:29
0

I was unable to use TL-WN812N on ubuntu 14.04 (not vbox). Attempted to download the driver from tp-link website but pt-br tp-link website version have no driver link there. Tried google and found your question.

I could find the driver following the link http://www.tp-link.com/en/download/TL-WN821N.html#Driver you mention but I faced the same makefile issue. But I could fix it: the guy who wrote the Makefile did a great job but the guy who created the driver zip root folder I was not aware of what he was doing. He named the driver folder TL-WN821N(EU)_V5_160315_Linux then when you run:

sudo make
"******************************************"
"NO SKRC,we will use default KSRC"
"******************************************"
make ARCH=x86_64 CROSS_COMPILE= -C /lib/modules/3.13.0-106-generic/build M=/tmp/TL-WN821N(EU)_V5_160315_Linux/Driver  modules
/bin/sh: 1: Syntax error: "(" unexpected
make: *** [modules] Error 2

Bash gives error because the path name of driver makefile is not escaped. I renamed the folder to tl-wn821n-v5-160315-linux and it worked from building to connecting to internet.

Hope this help.

  • Someone please answer – Tessaracter Jul 31 '18 at 4:29
0

There's a ppa repo for this. I have tested it for RT2870 driver and it worked for me. Plug your USB adapter in and run the following commands:

sudo add-apt-repository ppa:thopiekar/mt7601 
sudo apt-get update 
sudo apt-get install mt7601-sta-dkms

When the installation completes, click on the wi-fi network icon and you should see the USB adapter network interface you can also install wicd for wired and wireless network management.

works for 802.11n terabyte adapter, bought on ebay

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.